abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×

včera 17:33 | Bezpečnostní upozornění

Před šesti týdny byly publikovány výsledky bezpečnostního auditu zdrojových kódů OpenVPN a nalezené bezpečnostní chyby byly opraveny ve verzi OpenVPN 2.4.2. Guido Vranken minulý týden oznámil, že v OpenVPN nalezl další čtyři bezpečnostní chyby (CVE-2017-7520, CVE-2017-7521, CVE-2017-7522 a CVE-2017-7508). Nejzávažnější z nich se týká způsobu, jakým aplikace zachází s SSL certifikáty. Vzdálený útočník může pomocí speciálně

… více »
Ladislav Hagara | Komentářů: 0
včera 06:55 | Zajímavý projekt

V Edici CZ.NIC vyšla kniha Průvodce labyrintem algoritmů. Kniha je ke stažení zcela zdarma (pdf) nebo lze objednat tištěnou verzi za 339 Kč (připojení přes IPv4) nebo 289 Kč (připojení přes IPv6).

Ladislav Hagara | Komentářů: 6
včera 06:33 | Zajímavý software

Byla vydána verze 2.2.0 svobodného správce hesel KeePassXC (Wikipedie). Jedná se o komunitní fork správce hesel KeePassX s řadou vylepšení.

Ladislav Hagara | Komentářů: 0
včera 06:11 | IT novinky

Vývojář Debianu Henrique de Moraes Holschuh upozorňuje v diskusním listu debian-devel na chybu v Hyper-Threadingu v procesorech Skylake a Kaby Lake od Intelu. Za určitých okolností může chyba způsobit nepředvídatelné chování systému. Doporučuje se aktualizace mikrokódu CPU nebo vypnutí Hyper-Threadingu v BIOSu nebo UEFI [reddit].

Ladislav Hagara | Komentářů: 0
24.6. 01:23 | Komunita

Phoronix spustil 2017 Linux Laptop Survey. Tento dotazník s otázkami zaměřenými na parametry ideálního notebooku s Linuxem lze vyplnit do 6. července.

Ladislav Hagara | Komentářů: 3
23.6. 22:44 | Nová verze

Po třech měsících vývoje od vydání verze 5.5.0 byla vydána verze 5.6.0 správce digitálních fotografií digiKam (digiKam Software Collection). Do digiKamu se mimo jiné vrátila HTML galerie a nástroj pro vytváření videa z fotografií. V Bugzille bylo uzavřeno více než 81 záznamů.

Ladislav Hagara | Komentářů: 1
23.6. 17:44 | Nová verze

Byla vydána verze 9.3 open source alternativy GitHubu, tj. softwarového nástroje s webovým rozhraním umožňujícího spolupráci na zdrojových kódech, GitLab. Představení nových vlastností v příspěvku na blogu a na YouTube.

Ladislav Hagara | Komentářů: 3
23.6. 13:53 | Nová verze

Simon Long představil na blogu Raspberry Pi novou verzi 2017-06-21 linuxové distribuce Raspbian určené především pro jednodeskové miniaturní počítače Raspberry Pi. Společně s Raspbianem byl aktualizován také instalační nástroj NOOBS (New Out Of the Box Software). Z novinek lze zdůraznit IDE Thonny pro vývoj v programovacím jazyce Python a především offline verzi Scratche 2.0. Ten bylo dosud možné používat pouze online. Offline bylo možné používat pouze Scratch ve verzi 1.4. Z nového Scratchu lze ovládat také GPIO piny. Scratch 2.0 vyžaduje Flash.

Ladislav Hagara | Komentářů: 1
22.6. 14:24 | Nová verze

Opera 46, verze 46.0.2597.26, byla prohlášena za stabilní. Nejnovější verze tohoto webového prohlížeče je postavena na Chromiu 59. Z novinek lze zmínit například podporu APNG (Animated Portable Network Graphics). Přehled novinek pro vývojáře na blogu Dev.Opera. Oznámení o vydání zmiňuje také první televizní reklamu.

Ladislav Hagara | Komentářů: 0
22.6. 13:37 | IT novinky

I čtenáři AbcLinuxu před dvěma lety vyplňovali dotazníky věnované Retro ThinkPadu. Nyní bylo potvrzeno, že iniciativa Retro ThinkPad je stále naživu a Lenovo připravuje speciální edici ThinkPadu jako součást oslav jeho 25. výročí.

Ladislav Hagara | Komentářů: 36
Chystáte se pořídit CPU AMD Ryzen?
 (6%)
 (31%)
 (1%)
 (9%)
 (44%)
 (9%)
Celkem 842 hlasů
 Komentářů: 65, poslední 1.6. 19:16
    Rozcestník

    Dotaz: Vytváření rpm na Mandrake 9.1 a 10.0

    31.7.2004 22:07 Začátečník
    Vytváření rpm na Mandrake 9.1 a 10.0
    Přečteno: 65×
    Zkoušel jsem vytvářet rpm balíčky na Mandrake 9.1 a 10.0 z tar.gz pomocí příkazu rpm –ta, Checkinstallem a Alienem. Vždy bez úspěchu. Většinou se objevuje chyba v návratovém kódu. Alien mi napřed nefungoval proto, že jsem ho instaloval z rpm. Po instalaci z tar. jde sice spustit, ale úspěch se taky nedostavuje. Přestože by to nemělo být pro tar.gz nutné, doinstaloval jsem i dpkg. Výsledky byly na obou systémech skoro stejné. Co dělám špatně? Možná dělám jen chyby v příkazech. Výpisy přikládám. Předem děkuji za odpovědi

    Pokus a Alien 8.44

    novak@localhost novak]$ su Password: [root@localhost novak]# ls alien/ checkinstall-1.5.3-i386-1.tgz* alien-7.24-3.noarch.rpm* install/ alien-8.34-70.src.rpm* slmodemd* alien_8.44.tar.gz* slmodem-2.9.6.tar.gz debhelper/ slmodem-2.9.8.tar.gz* debhelper_4.0.2.tar.gz* slmodem-2.9.9.tar.gz Desktop/ tmp/ Documents/ XPLog/ dpkg-dev-el_2.2-2.tar.gz* xplog-0.17.tar.gz* dpkg-1.10.18-1mdk.i586.rpm* xplog-0.17-508.src.rpm* [root@localhost novak]# alien -r slmodem-2.9.6.tar.gz Package build failed. Here's the log of the command (cd slmodem-2.9.6; rpmbuild -bb --target noarch slmodem-2.9.6-2.spec): Sestavuji cílové platformy: noarch Sestavuji pro cíl noarch Zpracovávám soubory: slmodem-2.9.6-2 Finding Provides: /usr/lib/rpm/filter.sh ' ' /usr/lib/rpm/find-provides Using BuildRoot: /home/novak/slmodem-2.9.6 to search libs Finding Requires: /usr/lib/rpm/filter.sh ' ' /usr/lib/rpm/find-requires /home/n ovak/slmodem-2.9.6 noarch Requires(rpmlib): rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(CompressedFileN ames) <= 3.0.4-1 Requires: bash Checking for unpackaged file(s): /usr/lib/rpm/check-files /home/novak/slmodem-2. 9.6 error: Installed (but unpackaged) file(s) found: /slmodem-2.9.6-2.spec

    chyby sestavení RPM: Installed (but unpackaged) file(s) found: /slmodem-2.9.6-2.spec [root@localhost novak]# alien -r debhelper_4.0.2.tar.gz Package build failed. Here's the log of the command (cd debhelper_4.0.2-1; rpmbuild -bb --target noarch debhelper_4.0.2-1-2.spec): Sestavuji cílové platformy: noarch Sestavuji pro cíl noarch Zpracovávám soubory: debhelper_4.0.2-1-2 Finding Provides: /usr/lib/rpm/filter.sh ' ' /usr/lib/rpm/find-provides Using BuildRoot: /home/novak/debhelper_4.0.2-1 to search libs Finding Requires: /usr/lib/rpm/filter.sh ' ' /usr/lib/rpm/find-requires /home/novak/debhelper_4.0.2-1 noarch Provides: perl(Debian::Debhelper::Dh_Getopt) perl(Debian::Debhelper::Dh_Lib) Requires(rpmlib): rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(CompressedFileNames) <= 3.0.4-1 Requires: make perl-base perl(Config) perl(constant) perl(Cwd) perl(Debian::Debhelper::Dh_Lib) perl(Debian::Debhelper::Dh_Version) perl(Exporter) perl(File::Find) perl(Getopt::Long) perl(strict) perl(vars) Checking for unpackaged file(s): /usr/lib/rpm/check-files /home/novak/debhelper_4.0.2-1 error: Installed (but unpackaged) file(s) found: /debhelper_4.0.2-1-2.spec

    chyby sestavení RPM: Installed (but unpackaged) file(s) found: /debhelper_4.0.2-1-2.spec [root@localhost novak]#

    rpm-ta

    root@localhost novak]# rpm -ta slmodem-2.9.8.tar.gz Provádění(%prep): /bin/sh -e /var/tmp/rpm-tmp.96786 + umask 022 + cd /usr/src/RPM/BUILD + cd /usr/src/RPM/BUILD + rm -rf slmodem-2.9.4 + /bin/gzip -dc /home/novak/slmodem-2.9.4.tar.gz + tar -xf - + STATUS=0 + '[' 0 -ne 0 ']' + cd slmodem-2.9.4 + exit 0 Provádění(%build): /bin/sh -e /var/tmp/rpm-tmp.60260 + umask 022 + cd /usr/src/RPM/BUILD + cd slmodem-2.9.4 + export KERNEL_VER=2.4.21-0.13mdk + KERNEL_VER=2.4.21-0.13mdk + make KERNEL_DIR=/lib/modules/2.4.21-0.13mdk/build make -C modem all make[1]: Entering directory `/usr/src/RPM/BUILD/slmodem-2.9.4/modem' rebuild profile... gcc -Wall -g -O -I. -DCONFIG_DEBUG_MODEM -o modem_main.o -c modem_main.c gcc -Wall -g -O -I. -DCONFIG_DEBUG_MODEM -o modem_cmdline.o -c modem_cmdline.c gcc -Wall -g -O -I. -DCONFIG_DEBUG_MODEM -o modem.o -c modem.c gcc -Wall -g -O -I. -DCONFIG_DEBUG_MODEM -o modem_datafile.o -c modem_datafile.c gcc -Wall -g -O -I. -DCONFIG_DEBUG_MODEM -o modem_at.o -c modem_at.c gcc -Wall -g -O -I. -DCONFIG_DEBUG_MODEM -o modem_timer.o -c modem_timer.c gcc -Wall -g -O -I. -DCONFIG_DEBUG_MODEM -o modem_pack.o -c modem_pack.c gcc -Wall -g -O -I. -DCONFIG_DEBUG_MODEM -o modem_ec.o -c modem_ec.c modem_ec.c:689: warning: `t403_timeout' defined but not used gcc -Wall -g -O -I. -DCONFIG_DEBUG_MODEM -o modem_comp.o -c modem_comp.c gcc -Wall -g -O -I. -DCONFIG_DEBUG_MODEM -o modem_param.o -c modem_param.c gcc -Wall -g -O -I. -DCONFIG_DEBUG_MODEM -o modem_debug.o -c modem_debug.c gcc -Wall -g -O -I. -DCONFIG_DEBUG_MODEM -o homolog_data.o -c homolog_data.c gcc -Wall -g -O -I. -DCONFIG_DEBUG_MODEM -o dp_sinus.o -c dp_sinus.c gcc -Wall -g -O -I. -DCONFIG_DEBUG_MODEM -o dp_dummy.o -c dp_dummy.c gcc -Wall -g -O -I. -DCONFIG_DEBUG_MODEM -o sysdep_common.o -c sysdep_common.c gcc -o slmodemd modem_main.o modem_cmdline.o modem.o modem_datafile.o modem_at.o modem_timer.o modem_pack.o modem_ec.o modem_comp.o modem_param.o modem_debug.o homolog_data.o dp_sinus.o dp_dummy.o dsplibs.o sysdep_common.o gcc -Wall -g -O -I. -DCONFIG_DEBUG_MODEM -o modem_test.o -c modem_test.c gcc -o modem_test modem_test.o modem_cmdline.o modem.o modem_datafile.o modem_at.o modem_timer.o modem_pack.o modem_ec.o modem_comp.o modem_param.o modem_debug.o homolog_data.o dp_sinus.o dp_dummy.o dsplibs.o sysdep_common.o make[1]: Leaving directory `/usr/src/RPM/BUILD/slmodem-2.9.4/modem' make -C drivers KERNEL_DIR=/lib/modules/2.4.21-0.13mdk/build make[1]: Entering directory `/usr/src/RPM/BUILD/slmodem-2.9.4/drivers' cc -Wall -pipe -O3 -fomit-frame-pointer -D__KERNEL__ -DMODULE -DEXPORT_SYMTAB -DMODVERSIONS --include /lib/modules/2.4.21-0.13mdk/build/include/linux/modversions.h -I/lib/modules/2.4.21-0.13mdk/build/include -I. -I./../modem -o amrmo_init.o -c amrmo_init.c cc -Wall -pipe -O3 -fomit-frame-pointer -D__KERNEL__ -DMODULE -DEXPORT_SYMTAB -DMODVERSIONS --include /lib/modules/2.4.21-0.13mdk/build/include/linux/modversions.h -I/lib/modules/2.4.21-0.13mdk/build/include -I. -I./../modem -o sysdep_amr.o -c sysdep_amr.c ld -r -o slamr.o amrmo_init.o sysdep_amr.o amrlibs.o cc -Wall -pipe -O3 -fomit-frame-pointer -D__KERNEL__ -DMODULE -DEXPORT_SYMTAB -DMODVERSIONS --include /lib/modules/2.4.21-0.13mdk/build/include/linux/modversions.h -I/lib/modules/2.4.21-0.13mdk/build/include -I. -I./../modem -o old_st7554.o -c old_st7554.c ld -r -o slusb.o old_st7554.o make[1]: Leaving directory `/usr/src/RPM/BUILD/slmodem-2.9.4/drivers' + exit 0 Provádění(%install): /bin/sh -e /var/tmp/rpm-tmp.63006 + umask 022 + cd /usr/src/RPM/BUILD + cd slmodem-2.9.4 + rm -rf /var/tmp/slmodem + install -D -m 755 modem/slmodemd /var/tmp/slmodem/usr/sbin/slmodemd + install -D -m 755 -d /var/tmp/slmodem/var/lib/slmodemd + install -D -m 644 drivers/slamr.o /var/tmp/slmodem/lib/modules/2.4.21-0.13mdk/misc/slamr.o + install -D -m 644 drivers/slusb.o /var/tmp/slmodem/lib/modules/2.4.21-0.13mdk/misc/slusb.o + mkdir -p /var/tmp/slmodem/dev + ln -sf /dev/ttySL0 /var/tmp/slmodem/dev/modem + install -D -m 755 /home/novak/slmodemd /var/tmp/slmodem/etc/init.d/slmodemd install: cannot stat `/home/novak/slmodemd': No such file or directory error: ©patný návratový kód z /var/tmp/rpm-tmp.63006 (%install)

    chyby sestavení RPM: ©patný návratový kód z /var/tmp/rpm-tmp.63006 (%install)

    Výpis Checkinstall

    root@localhost novak]# checkinstall -R slmodem-2.9.8.tar.gz

    checkinstall 1.5.3, Copyright 2001 Felipe Eduardo Sanchez Diaz Duran This software is released under the GNU GPL.

    The package documentation directory ./doc-pak does not exist. Should I create a default set of package docs? [y]: y

    Preparing package documentation...OK

    *** No known documentation files were found. The new package *** won't include a documentation directory.

    Installing with "slmodem-2.9.8.tar.gz"...

    ========================= Installation results =========================== /var/tmp/WWZDgcpaPSVEjCAgVJTN/installscript.sh: line 16: slmodem-2.9.8.tar.gz: command not found

    **** Installation failed. Aborting package creation.

    Cleaning up...OK

    Bye.

    [root@localhost novak]# checkinstall -R slmodem-2.9.8.tar.gz

    checkinstall 1.5.3, Copyright 2001 Felipe Eduardo Sanchez Diaz Duran This software is released under the GNU GPL.

    The package documentation directory ./doc-pak does not exist. Should I create a default set of package docs? [y]: n

    Installing with "slmodem-2.9.8.tar.gz"...

    ========================= Installation results =========================== /var/tmp/PkYVSSQUDNYOVedRKqkl/installscript.sh: line 16: slmodem-2.9.8.tar.gz: command not found

    **** Installation failed. Aborting package creation.

    Cleaning up...OK

    Bye.

    Odpovědi

    31.7.2004 22:35 unchallenger | skóre: 69 | blog: unchallenger
    Rozbalit Rozbalit vše Re: Vytváření rpm na Mandrake 9.1 a 10.0
    Sorry, ale tohle asi nebude nikdo [schopen] číst.

    Cituji z ,,Než položíte dotaz``:

    ... Nicméně buďte opatrní a vkládejte jen skutečně zajímavé části související s problémem, maximálně deset až patnáct řádek. Větší soubory umístěte někam na internet a do diskuse vložte jen URL. Pokud toto pravidlo nebudete respektovat, administrátoři mohou váš příspěvek upravit či dokonce smazat.
    Drom avatar 8.8.2004 23:42 Drom | skóre: 24 | Kdyne
    Rozbalit Rozbalit vše Re: Vytváření rpm na Mandrake 9.1 a 10.0
    No... lepsi nez dotaz "nejde mi v linuxu udelat rpm, pomozte" :)
    Delej si co chces, ale hlavne me s tim neotravuj. Ja na SW patenty neverim!
    9.9.2004 13:35 Pavell | skóre: 22 | blog: Linuxový poznámkový blog | Hradec Králové
    Rozbalit Rozbalit vše Re: Vytváření rpm na Mandrake 9.1 a 10.0
    Uzavřít výstup z programu do tagů <code> ten výstup docela zpřehlední. Tohle je fakt... s prominutím prasečina. Jen jsem to rychle prohlédnul. Je tam hláška installed but unpackaged files found a to je ten hlavní problém. Edituj soubor /usr/lib/rpm/macros a změň záznamy na tohle:
    %_unpackaged_files_terminate_build 0 %_missing_doc_files_terminate_build 0
    Jsou tam víckrát (asi dvakrát) a musejí se změnit všechny.
    Checkinstallu zdar!
    Kdyby každý nespokojený student napsal virus, neexistoval by jiný software.

    Založit nové vláknoNahoru

    Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

    ISSN 1214-1267   www.czech-server.cz
    © 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.